org.apache.ignite.internal.processors.platform.memory

## Interface PlatformMemory

All Superinterfaces:
  AutoCloseable

All Known Implementing Classes:
  PlatformAbstractMemory, PlatformExternalMemory, PlatformPooledMemory, PlatformUnpooledMemory

    public interface PlatformMemory
    extends AutoCloseable

Interop memory chunk.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `capacity()` Gets capacity.
`void` `close()` Close memory releasing it.
`long` `data()` Gets data pointer.
`PlatformInputStream` `input()` Gets input stream.
`int` `length()` Gets length.
`PlatformOutputStream` `output()` Gets output stream.
`long` `pointer()` Gets pointer which can be passed between platforms.
`void` `reallocate(int cap)` Reallocate memory chunk.

### Method Detail

#### input

    PlatformInputStream input()

Gets input stream.

Returns:
  Input stream.

#### output

    PlatformOutputStream output()

Gets output stream.

Returns:
  Output stream.

#### pointer

    long pointer()

Gets pointer which can be passed between platforms.

Returns:
  Pointer.

#### data

    long data()

Gets data pointer.

Returns:
  Data pointer.

#### capacity

    int capacity()

Gets capacity.

Returns:
  Capacity.

#### length

    int length()

Gets length.

Returns:
  Length.

#### reallocate

    void reallocate(int cap)

Reallocate memory chunk.

Parameters:
  `cap` - Minimum capacity.

#### close

    void close()

Close memory releasing it.

Specified by:
  `close` in interface `AutoCloseable`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018